import os
import logging


log_file_path = os.path.dirname(os.path.abspath(__file__)) + '/presik_pos.log'
log_formater = logging.Formatter(
    '%(asctime)s - %(levelname)s - %(funcName)s - %(name)s - %(message)s',
    datefmt='%Y-%m-%d %H:%M:%S', style="%")


handlerConsole = logging.StreamHandler()
handlerConsole.setFormatter(log_formater)

handlerFile = logging.FileHandler(log_file_path, mode='a', encoding='utf-8')
handlerFile.setFormatter(log_formater)

logger = logging.getLogger()
logger.setLevel(logging.DEBUG)
logger.addHandler(handlerConsole)
logger.addHandler(handlerFile)
